
extern void get_dir();
extern void print();
extern char array_get();

char dir_buffer[1024];

short
main()
{
   char dir_buffer[1024];
   short i;

   get_dir(dir_buffer);

   for(i = 1; dir_buffer[i] != '}'; i++) {
      if(dir_buffer[i] == '-') {
         while(dir_buffer[i] != ',') {
            i++;
         }
         print("\r\n");
      }
      else {
         putc(dir_buffer[i]);
      }
   }

   return 0;
}
